<?php
error_reporting( E_ALL ^ E_NOTICE ^ E_STRICT ^ E_WARNING ^ E_DEPRECATED );
function __autoload_my_classes( $classname )
{
  $q = explode( '\\' , $classname );
  $c = array_pop( $q );
  $base_path = 'autoload/' . implode( '/' , $q ) . '/';
  $f = $base_path . $c . '.php';

  if ( !file_exists( $f ) )
    $f = $base_path . 'class.' . $c . '.php';
  
  if ( file_exists( $f ) )
    require_once( $f );
}
spl_autoload_register( '__autoload_my_classes' );
date_default_timezone_set( 'Europe/Warsaw' );

require_once 'config.php';
require_once 'libraries/medoo/medoo.php';
require_once 'libraries/grid/config.php';

session_start();

if ( !isset( $_SESSION['check'] ) )
{
 	session_regenerate_id();
	$_SESSION['check']  = true;
	$_SESSION['ip']     = $_SERVER['REMOTE_ADDR'];
}

if ( $_SESSION['ip'] !== $_SERVER['REMOTE_ADDR'] )
{
  session_destroy();
  header( 'Location: /' );
  exit;
}

$mdb = new medoo( [
                    'database_type' => 'mysql',
                    'database_name' => $database['name'],
                    'server'        => $database['host'],
                    'username'      => $database['user'],
                    'password'      => $database['password'],
                    'charset'       => 'utf8'
                ] );

$user   = \S::get_session( 'user' );
?>
